directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Faiz <n...@atlassian.com>
Subject Re: notification of possible problem with nlog4j-1.2.14 & log4j compatibility
Date Wed, 17 Aug 2005 00:30:09 GMT
Ceki,

As noted on the nlog4j-dev list I will upgrade our dependency and test 
ASAP.

Thanks for the quick response time. :)

Nick


Ceki Gülcü wrote:
> 
> Hello Nick,
> 
> The problem should be fixed in NLOG4J version 1.2.16. With this version 
> code compiled with log4j will run fine in both log4j and NLOG4J. I think 
> this is the problem you encountered and would like to see fixed. So, 
> that's done. :-)
> 
> However, the inverse is not true. Code compiled with NLOG4J will only 
> run with NLOG4J. This means that your code, when compiled with NLOG4J, 
> will depend on NLOG4J, which in my humble opinion is a rather reasonable 
> requirement. Especially if you consider that NLOG4J has SLF4J support 
> which log4j does not have.
> 
> At 06:47 AM 8/16/2005, Nick Faiz wrote:
> 
>> Guys,
>>
>> Here is notification of a possible incompatibility between log4j and 
>> nlog4j.
> 
> 


-- 
ATLASSIAN - http://www.atlassian.com/

Confluence - the enterprise wiki - tried it yet?
http://www.atlassian.com/confluence/
--

Mime
View raw message